var myData = [
	{day : 'Mon', value: 10},
	{day : 'Tue', value: 40},
	{day : 'Wed', value: 30},
	{day : 'Thu', value: 60},
	{day : 'Fri', value: 30}
];

var pointScale = d3.scalePoint()
	.domain(['Mon', 'Tue', 'Wed', 'Thu', 'Fri'])
	.range([0, 500]);

d3.select('#wrapper')
	.selectAll('circle')
	.data(myData)
	.join('circle')
	.attr('r', 4)
	.attr('fill', 'orange')
	.attr('cx', d => pointScale(d.day));

// Distance between 2 points 
console.log(pointScale.step());